#include <stdio.h>
#include <stdlib.h>

typedef struct sPIXEL {			// a single pixel
	unsigned char r, g, b;		//   three color components
} PIXEL;

typedef struct sIMG {			// an image of PPM style
	char header[3];				//   header, either P3 or P6
	int W, H;					//   width and height of the image
	int level;					//   intensity level of each color component
	PIXEL **PX;					//   two-dimensional array for all the pixels
} IMG;

IMG *PPMin(char *inFile);

int main(int argc, char *argv[])
{
	IMG *p1;

	p1 = PPMin(argv[1]);

	return 0;
}

IMG *PPMin(char *inFile)
{
	int i;
	IMG *pic;
	FILE *fin;
	
	pic = (IMG *)malloc(sizeof(IMG));
	fin = fopen(inFile, "r");
	if (fin == NULL)
		printf("ERROR: fin == NULL (inFile: %s)\n", inFile);
	printf("line 33\n");
	fscanf(fin, "%s", pic->header);
	printf("line 35\n");
	fscanf(fin, "%d %d\n%d\n", &pic->W, &pic->H, &pic->level);
	pic->PX = (PIXEL **)malloc(pic->W * sizeof(PIXEL *));
	for (i = 0; i < pic->W; i++) {
		pic->PX[i] = (PIXEL *)malloc(pic->H * sizeof(PIXEL));
	}
	fscanf(fin, "%c", &(pic->PX[0][0].r));
	printf("line 43\n");
	fscanf(fin, "%c", &(pic->PX[0][0].g));
	printf("line 45\n");
	fscanf(fin, "%c", &(pic->PX[0][0].b));
	fclose(fin);

	return pic;
}
